#include <bits/stdc++.h>
#define ll long long
using namespace std;
int N;
struct p{
    ll x, y;
}Points[3000005];
ll PTrougla(ll x, ll y, ll x2, ll y2, ll x3, ll y3){
    return abs((x * (y2 - y3) + x2 * (y3 - y) + x3 * (y - y2)) >> 1);
}
void set1(){
    ll p1, p2, p3, p4;
     p1 = PTrougla(Points[1].x, Points[1].y, Points[2].x, Points[2].y, Points[3].x, Points[3].y);
     p2 = PTrougla(Points[1].x, Points[1].y, Points[2].x, Points[2].y, Points[4].x, Points[4].y);
     p3 = PTrougla(Points[1].x, Points[1].y, Points[3].x, Points[3].y, Points[4].x, Points[4].y);
     p4 = PTrougla(Points[2].x, Points[2].y, Points[3].x, Points[3].y, Points[4].x, Points[4].y);
    cout << min(min(p1, p2), min(p3, p4)) << endl;
    exit(0);

}
int main(){
    cin >> N;
    for(int i = 1; i <= N; i++)
        cin >> Points[i].x >> Points[i].y;
    if(N == 4)set1();
return 0;
}